varying vec2 		texcoord;
uniform sampler2D 	tex;
uniform sampler2D 	albedo;

uniform float ssaoPower;
uniform float ssgiPower;

void main()
{
	vec4 color=texture2D(tex,texcoord);//-vec4(0.2,0.2,0.2,0.0);
	float occ=pow(1.0-color.a,ssaoPower);
	gl_FragColor.rgb=max(texture2D(albedo,texcoord).rgb*color.rgb*ssgiPower*occ,vec3(0.0,0.0,0.0));//vec3(16.0)*occ;
	gl_FragColor.a=occ;
}
